# Clone a repository from GitHub.

## Synopsis

`hub clone` [-p] [OPTIONS] [USER/]REPOSITORY [DESTINATION]

## Options

-p
  (Deprecated) Clone private repositories over SSH.
[USER/]REPOSITORY
  USER defaults to your own GitHub username.
DESTINATION
  Directory name to clone into (default: REPOSITORY).

## Protocol used for cloning

The `git:` protocol will be used for cloning public repositories, while the SSH protocol will be used for private repositories and those that you have push access to. Alternatively, hub can be configured to use HTTPS protocol for everything. See "HTTPS instead of git protocol" and "HUB_PROTOCOL" of hub(1).

## Examples

    $ hub clone rtomayko/ronn
    > git clone git://github.com/rtomayko/ronn.git

## See also

hub-fork(1), hub(1), git-clone(1)